﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace projectDoubleDeckerBus
{
    public class EntityDoubleDeckerBus
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия фары
        /// </summary>
        public bool Headlight { get; private set; }
        /// <summary>
        /// Признак (опция) наличия второго этажа
        /// </summary>
        public bool Floor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия выхлопа
        /// </summary>
        public bool Tailpipe { get; private set; }
        /// <summary>
        /// Шаг перемещения автобуса
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;
        /// <summary>
        /// Инициализация полей объекта-класса спортивного автобуса
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес автобуса</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="headlight">Признак наличия фары</param>
        /// <param name="floor">Признак наличия второго этажаы</param>
        /// <param name="tailpipe">Признак наличия выхлопа</param>
        public void Init(int speed, double weight, Color bodyColor, Color
        additionalColor, bool headlight, bool floor, bool tailpipe)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Headlight = headlight;
            Floor = floor;
            Tailpipe = tailpipe;
        }
    }
}
